using System;
using Telerik.Sitefinity.Web.UI.ControlDesign;
using Newtonsoft.Json.Linq;
using System.Text;
using System.IO;
using System.Net;
using System.Web.Services;

namespace SitefinityWebApp.Widgets
{

    
    [ControlDesigner(typeof(Api123ContactFormDesigner))]
    public partial class Api123ContactForm : System.Web.UI.UserControl
    {
        
        //Public side variables
        protected global::System.Web.UI.WebControls.Literal View_ApiKEY;
        protected global::System.Web.UI.WebControls.Literal View_FormID;
        protected global::System.Web.UI.WebControls.Literal View_UrlResponse;
        protected global::System.Web.UI.WebControls.Literal js_content;

        protected global::System.Web.UI.WebControls.Literal debug;
       
        // This public property will become editable in Sitefinity:Variabilele din Editor
        public string API_key { get; set; }
        public string Form_id { get; set; }
        public string UrlStatus { get; set; }
        public string forms_JSon { get; set; }

       

        protected void Page_Load(object sender, EventArgs e)
        {
            
            if (!String.IsNullOrEmpty(forms_JSon))
            {
                JObject obj = JObject.Parse(forms_JSon);
                JArray JSONforms = (JArray)obj["forms"];
                String JsonStatus = (String)obj["status"];

                UrlStatus = JsonStatus;
                View_FormID.Text = Form_id;
            }
            if (UrlStatus == "ok")
            {
               //do nothing
            }
            else
            {
                View_UrlResponse.Text = "<span style='color:#FF0000;font-weight:bold;'>" + UrlStatus + "</span> ";
            }
            
        }
       
    }
}