using System.Collections.Generic;
using Telerik.Sitefinity.Web.UI.ControlDesign;
using System.Web.UI;
using Newtonsoft.Json.Linq;
using System;
using System.Linq;
using System.Web.UI.WebControls;
using Telerik.Sitefinity.Web.UI;
using Telerik.Sitefinity.Web.UI.ControlDesign;
using System.Net;
using System.IO;
using System.Text;


namespace SitefinityWebApp.Widgets
{
    [ControlDesigner(typeof(Api123ContactForm))]
    public class Api123ContactFormDesigner : ControlDesignerBase
    {
        protected override void InitializeControls(Telerik.Sitefinity.Web.UI.GenericContainer container)
        {
            base.DesignerMode = ControlDesignerModes.Simple;
        }

        public override string LayoutTemplatePath
        {
            get
            {
                return _layoutTemplatePath;
            }
            set
            {
                _layoutTemplatePath = value;
            }
        }

  

        
        protected override string LayoutTemplateName
        {
            get { return string.Empty; }
        }

        public override IEnumerable<ScriptReference> GetScriptReferences()
        {
            // get script collection
            var scripts = base.GetScriptReferences() as List<ScriptReference>;
            if (scripts == null) return base.GetScriptReferences();

            scripts.Add(new ScriptReference(_scriptReference));

            return scripts.ToArray();
        }

        private string _layoutTemplatePath = "~/Widgets/Api123ContactFormDesigner.ascx";
        private string _scriptReference = "~/Widgets/Api123ContactFormDesigner.js";
     

    }
}
