Type.registerNamespace("SitefinityWebApp.Widgets.Api123ContactForm");

SitefinityWebApp.Widgets.Api123ContactFormDesigner = function (element) {
    SitefinityWebApp.Widgets.Api123ContactFormDesigner.initializeBase(this, [element]);
}

SitefinityWebApp.Widgets.Api123ContactFormDesigner.prototype = {
    initialize: function () {
        var controlData = this._propertyEditor.get_control();
             
        jQuery('#editor_APIKey').val(controlData.API_key);
   
        SitefinityWebApp.Widgets.Api123ContactFormDesigner.callBaseMethod(this, 'initialize');
      
        var content = get123Response(controlData.API_key);
      
        var JsonObject = jQuery.parseJSON(content);
        controlData.UrlStatus = JsonObject.status; // APiKey status
        changeStatus(controlData.UrlStatus);

        controlData.forms_JSon = content; //Json String
        content=controlData.forms_JSon;
        controlData.DefaultForms = content;
   
        var form_id=controlData.Form_id;
        var json1 = jQuery.parseJSON(controlData.forms_JSon);
        var i = 0;
        if (JsonObject.status == "ok")
            for (i = 0; i < json1.forms.length; i++) {
                var selected="";
                if(json1.forms[i].f_id == form_id )
                    selected = "selected";
                jQuery('#editor_formID').append("<option value='" + json1.forms[i].f_id + "' "+selected+">" + json1.forms[i].f_name + "</option>");
            }
    },

    dispose: function () {

        SitefinityWebApp.Widgets.Api123ContactFormDesigner.callBaseMethod(this, 'dispose');
    },

    refreshUI: function () {
    
       
    },


    applyChanges: function () {
      
       var controlData = this._propertyEditor.get_control();
       controlData.API_key = jQuery('#editor_APIKey').val();
       controlData.Form_id = jQuery("#editor_formID").val();
        
       var content = get123Response(controlData.API_key);

       var JsonObject = jQuery.parseJSON(content);
             
       controlData.UrlStatus = JsonObject.status; //return APIKey status
       if(controlData.UrlStatus !== "ok" )
            {
            controlData.Form_id = "";
            }
    
       changeStatus(controlData.UrlStatus);

       controlData.forms_JSon = content; //JsonString
       controlData.DefaultForms = content;

       controlData.js_content = "";
    }
}


function get123Response(apiKey) { //This function gets the 123Contactform response and returns a jSon
   var content='{ "status": "Wrong API key (1)" }';
   var host=window.document.location.host;//localhost:port
   var protocol=window.document.location.protocol;// http: or  https:
   var pathname=window.document.location.pathname;
       pathname=pathname.substring(1);
       pathname=pathname.substring(0,pathname.indexOf('/'));
  
   if(pathname.toLowerCase() == "sitefinity") //if widget is on the main server
        pathname="";
   else  // when accessing widget from localhost;
        pathname+="/"; 
  
   var url_string = protocol+"//"+host+"/"+pathname+"Widgets/Api123ContactFormConnect.aspx";

   jQuery('#loading').show(); //Display "Please wait ... " div
    jQuery.ajax({
        type: "POST",
        url: url_string,
        data: "api_key="+apiKey,
        success: function (data) {
            content = data;
        },

        error: function(req,stat,err){
                    content= '{ "status": "The Widget can not connect to 123ContactForm.com! Please make sure you have put Api123ContactFormConnect.aspx in the Widgets folder!" }';
        },
        async: false,
    }).done(function( msg ) {
    content=msg;
    });
    
    jQuery('#loading').hide(); //Hide "Please wait... " div
   return content;
 }

function changeStatus(status) { // Change Form Status and Text Color 
    if (status == "ok") {
        jQuery('#ResponseStatus').val(status);
        jQuery('#ResponseStatus').css('color', '#008800');
    }
    else {
        jQuery('#ResponseStatus').val(status);
        jQuery('#ResponseStatus').css('color', '#FF0000');
    }
}

SitefinityWebApp.Widgets.Api123ContactFormDesigner.registerClass('SitefinityWebApp.Widgets.Api123ContactFormDesigner', Telerik.Sitefinity.Web.UI.ControlDesign.ControlDesignerBase);
if (typeof (Sys) !== 'undefined') Sys.Application.notifyScriptLoaded();